# SurrealDB Helm Chart

![Version: 0.3.3](https://img.shields.io/badge/Version-0.3.3-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 1.0.0](https://img.shields.io/badge/AppVersion-1.0.0-informational?style=flat-square)

SurrealDB is the ultimate cloud database for tomorrow's applications.

## Introduction

This chart facilitates the deployment of [SurrealDB](https://surrealdb.com/docs/surrealdb/) on Kubernetes clusters.

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| surrealdb |  | <https://github.com/surrealdb> |

## Usage

Read the Kubernetes Deployment guides in https://surrealdb.com/docs/deployment

## Overrides

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| fullnameOverride | string | `""` | String to fully override `"surrealdb"` |
| nameOverride | string | `""` | Provide a name in place of `surrealdb` |

## General parameters

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` | Assign custom [affinity] rules to the deployment |
| args | list | `["start"]` | Command line arguments to pass to SurrealDB |
| nodeSelector | object | `{}` | [Node selector] |
| podAnnotations | object | `{}` | Annotations to be added to SurrealDB pods |
| podSecurityContext | object | `{}` (See [values.yaml]) | Toggle and define pod-level security context. |
| replicaCount | int | `1` | The number of SurrealDB pods to run |
| resources | object | `{}` | Resource limits and requests |
| securityContext | object | `{}` (See [values.yaml]) | SurrealDB container-level security context |
| tolerations | list | `[]` | [Tolerations] for use with node taints |

## SurrealDB parameters

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| surrealdb.auth | string | `"true"` | Authentication enabled |
| surrealdb.log | string | `"info"` | Log configuration |
| surrealdb.path | string | `"memory"` | path: tikv://tikv-pd:2379 |
| surrealdb.port | int | `8000` | SurrealDB container port |

## Image parameters

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| image.pullPolicy | string | `"IfNotPresent"` | Image pull policy for SurrealDB |
| image.repository | string | `"surrealdb/surrealdb"` | Repository to use for SurrealDB |
| image.tag | string | `""` (defaults to chart appVersion) | Tag to use for SurrealDB |
| imagePullSecrets | list | `[]` | Secrets with credentials to pull images from a private registry |

## Service parameters

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| service.annotations | object | `{}` | Service annotations |
| service.port | int | `8000` | Service port |
| service.targetPort | string | `"http"` | Target container port |
| service.type | string | `"ClusterIP"` | Service type |

## Service account parameters

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| serviceAccount.annotations | object | `{}` | Annotations to add to the service account |
| serviceAccount.create | bool | `true` | Specifies whether a service account should be created |
| serviceAccount.name | string | `""` (defaults to the fullname template) | The name of the service account to use. |

## Ingress parameters

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| ingress.annotations | object | `{}` | Additional ingress annotations |
| ingress.className | string | `""` | Defines which ingress controller will implement the resource |
| ingress.defaultBackend | bool | `true` | Create default backend |
| ingress.enabled | bool | `false` | Enable an ingress resource |
| ingress.hosts | list | `[]` (See [values.yaml]) | List of hosts to be covered by ingress record |
| ingress.tls | list | `[]` (See [values.yaml]) | List of TLS configuration |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)




# Info for Deployment
The Dashboard Backend does only use a off the mill version of the Charts that uses in Memory to store
the DB and only as possible set the master user to root and password root.
The DB_Name Env is only to set the name for the dashboard that then creates the db etc.
Persistent Volume Claim Possible? Is it needed? Would the possible extra delay be important?